%define version 2.0.9
%define release %mkrel 13
%define name wml

Summary:   Website META Language
Name:      %{name}
Version:   %{version}
Release:   %{release}
License: GPL
Buildroot: %{_tmppath}/%{name}-buildroot
Group:     Publishing
Source:    %{name}-%{version}.tar.bz2
Patch0:     wml-2.0.9-require.patch.bz2
Patch1:     wml-2.0.9-pathconvert.patch.bz2
Patch2:     wml-2.0.9-perllibs.patch.bz2
Patch3:     wml-2.0.9-gcc4.patch.bz2
Url:       http://www.engelschall.com/sw/wml
BuildRequires: perl-devel
BuildRequires: libncurses-devel
# Please do not ever link this with an old db version than the current system db version
# libperl uses {get,set}pw*() functions which might bring in the system db version via nss,
# and lead to unexpected crashes
# BuildRequires: db2-devel, libgdbm-devel

BuildRequires: perl(Getopt::Long) >= 2.16
BuildRequires: perl-Bit-Vector >= 5.2
BuildRequires: perl(File::Spec)
BuildRequires: perl(Image::Size) >= 2.6
BuildRequires: perl(IO::File) >= 1.07
BuildRequires: perl(Term::ReadKey) >= 2.11

# why does not autorequires catch those???
Requires: perl(Getopt::Long) >= 2.16
Requires: perl(Bit::Vector) >= 5.2
Requires: perl(File::Spec)
Requires: perl(Image::Size) >= 2.6
Requires: perl(IO::File) >= 1.07
Requires: perl(Term::ReadKey) >= 2.11


# do not provide/require private perl modules
%define _requires_exceptions GD.so\\|perl(HTML::Clean)\\|perl(WML::GD)
%define _provides_exceptions GD.so\\|perl(HTML::Clean)\\|perl(WML::GD)

%description
WML is a free and extensible Webdesigner's off-line HTML generation
toolkit for Unix, distributed under the GNU General Public License
(GPL v2). It is written in ANSI C and Perl 5, build via a GNU Autoconf
based source tree and runs out-of-the-box on all major Unix derivates.
It can be used free of charge both in educational and commercial
environments.

%prep
%setup -q
%patch0 -p1 -b .require
%patch1 -p1 -b .pathconvert
%patch2 -p1 -b .perllibs
%patch3 -p1 -b .gcc4

%build
( cd wml_backend/p3_eperl; autoconf )

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%_prefix --libdir=%_libdir --with-openworld

%make

make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall libdir=$RPM_BUILD_ROOT%{_libdir}/wml

#clean perl files (stolen from spec-helper)
d=$RPM_BUILD_ROOT%{_libdir}/wml
find $d -name ".packlist" | xargs rm -f
for i in $(find $d -name "*.bs"); do
    if [ -s $i ]; then
      echo "non empty *.bs file, please mail pixel@mandrakesoft.com about this!"
    else
      rm -f $i
    fi
done


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ANNOUNCE BUGREPORT ChangeLog COPYING COPYRIGHT COPYRIGHT.OTHER CREDITS 
%doc NEWS README SUPPORT VERSION VERSION.HISTORY
%{_bindir}/*
%{_libdir}/%{name}
%{_mandir}/*/*

%changelog
* Mon Sep 18 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.0.9-13mdv2007.0
- Rebuild

* Sun Jun 18 2006 Stefan van der Eijk <stefan@eijk.nu> 2.0.9-12
- rebuild for png
- %%mkrel

* Sat Oct 15 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.0.9-11mdk
- fix one of the perl build dependencies, for version matching

* Wed Sep  7 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.0.9-10mdk
- gcc4 fixes

* Wed Nov 17 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.0.9-9mdk
- Rebuild for new perl

* Sun Dec 14 2003 Luca Berra <bluca@vodka.it> 2.0.9-8mdk
- fixed configure script to use 'use' instead of 'require'
- substituted deprecated File::PathConvert with Cwd and File::Spec (both bundled with perl)
- use Config{perllibs} instead of Config{libs}, kill (build)requires for gdbm/db2
- use --with-openworld, so we do not rebuild our own modules
- do not provide/require the other private perl-modules

* Thu Sep 18 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.9-7mdk
- BuildRequires: libgdbm-devel

* Wed Jun 18 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.0.9-6mdk
- get rid of debug stuff in %%{_libdir}
- compile with $RPM_OPT_FLAGS
- don't rm -rf $RPM_OPT_FLAGS in %%prep stage

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.9-5mdk
- rebuild for new auto{prov,req}

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.9-4mdk
- fix buildrequires

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.9-3mdk
- fix buildrequires

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.9-2mdk
- fix buildrequires

* Tue Jan 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.0.9-1mdk
- 2.0.9

* Fri Jul 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.0.8-1mdk
- buildrequires db2-devel
- patch eperl to build with perl 5.8.0
- 2.0.8

* Fri Oct 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.7-1mdk
- 2.0.7

* Fri Aug 31 2001 Etienne Faure <etienne@mandrakesoft.com> 2.0.6-3mdk
- rebuild

* Wed Feb 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.6-2mdk
- rebuild

* Wed Nov 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0.6-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 2.0.6

* Wed Sep  6 2000 Gtz Waschk <waschk@linux-mandrake.com> 2.0.3-1mdk
- updated to 2.0.3
- make rpmlint happy

* Sun Jul 30 2000 Gtz Waschk <waschk@linux-mandrake.com> 2.0.2-1mdk
- initial Mandrake package
